import * as React from 'react';
import PropTypes from 'prop-types';
import Tabs from '@mui/material/Tabs';
import Tab from '@mui/material/Tab';
import Box from '@mui/material/Box';
import { FeedCard } from './FeedCard';
import { Typography } from '@mui/material';
import { DiscoverClub } from './DiscoverClub';
import CommunityCard from './CommunityCard';
import CommunityMessageCard from './CommunityMessageCard';
import { Link } from '@inertiajs/react';
import { useNavigate } from 'react-router-dom';

function CustomTabPanel(props) {
  const { children, value, index, ...other } = props;

  return (
    <div
      role="tabpanel"
      hidden={value !== index}
      id={`simple-tabpanel-${index}`}
      aria-labelledby={`simple-tab-${index}`}
      {...other}
    >
      {value === index && <Box sx={{ p: 3 }}>{children}</Box>}
    </div>
  );
}

CustomTabPanel.propTypes = {
  children: PropTypes.node,
  index: PropTypes.number.isRequired,
  value: PropTypes.number.isRequired,
};

function a11yProps(index) {
  return {
    id: `simple-tab-${index}`,
    'aria-controls': `simple-tabpanel-${index}`,
  };
}

export default function CommunityPost({posts,community,message}) {


  const [value, setValue] = React.useState(0);

  const handleChange = (event, newValue) => {
    setValue(newValue);
  };
  const navigate = useNavigate(); // Hook to get the navigate function
  const handleGoBack = () => {
    navigate(-1); // Navigate back to the previous page
  };
  console.log("message ",message);
  return (
    <>
    <Box sx={{marginTop: '50px', marginBottom: '50px'}}>
        <Box sx={{ display: 'flex', alignItems: 'center', gap: '10px' }}>
        <button onClick={handleGoBack} className='text-dark rotate-180'>
        <svg
                xmlns="http://www.w3.org/2000/svg"
                width="2em"
                height="2em"
                viewBox="0 0 16 16"
              >
                <path
                  fill="currentColor"
                  fillRule="evenodd"
                  d="M1.25 8A.75.75 0 0 1 2 7.25h10.19L9.47 4.53a.75.75 0 0 1 1.06-1.06l4 4a.75.75 0 0 1 0 1.06l-4 4a.75.75 0 1 1-1.06-1.06l2.72-2.72H2A.75.75 0 0 1 1.25 8"
                  clipRule="evenodd"
                ></path>
              </svg>
        </button>
              <Typography variant="h4" component="h4">{community.title}</Typography>
        </Box>
       
    </Box>
    <Box sx={{ width: '100%' }}>
      {/*
      <Box sx={{ borderBottom: 1, borderColor: 'divider' }}>
         
        <Tabs value={value} onChange={handleChange} aria-label="basic tabs example"  indicatorColor="secondary"
          textColor="secondary"
          variant="fullWidth">
           
          <Tab label="Hot" {...a11yProps(0)} />
          <Tab label="Latest" {...a11yProps(1)} />
          <Tab label="Top" {...a11yProps(2)} />
           
          <Tab label="message" {...a11yProps(3)} />
        </Tabs>
         
      </Box>
      */}

     {/*
      <CustomTabPanel value={value} index={0}>
      {posts && posts.map( (post, index) => (
          <FeedCard single_post={post} />
        ) ) }
      </CustomTabPanel>

      <CustomTabPanel value={value} index={1}>
      {posts && posts.map( (post, index) => (
          <FeedCard single_post={post} />
        ) ) }
      </CustomTabPanel>

      <CustomTabPanel value={value} index={2}>
      {posts && posts.map( (post, index) => (
          <FeedCard single_post={post} />
        ) ) }
      </CustomTabPanel>

    */}
      <Box>
      {message && message?.map((message,index) => (
        <CommunityMessageCard key={index} message={message}/>
      ))}
      </Box>
    </Box>
    </>
  );
}
